Bug 492986 - Unable to install service packs for Microsoft Office Pro 2003
Unable to install service packs for Microsoft Office Pro 2003
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 22:58 EDT by Rodger Donaphon
Modified: 2010-06-28 07:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:36:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodger Donaphon 2009-03-30 22:58:20 EDT
Description of problem:

After installing Microsoft Office Pro 2003 from original CD, you can't install Office Service Pack 3 (full file version)

Version-Release number of selected component (if applicable):

wine 1.1-15 using rpm downloaded from Fedora 10 repository.
I expect the same problem on any Linux version running a recent version of Wine.

How reproducible:


Steps to Reproduce:
1. Install wine 1-1.15 using rpms
2. Install Microsoft Office Pro 2003 from CD
     > sudo mount /dev/cdrom /mnt
     > cd /mnt
     > wine setup.exe
3. Download the latest service pack from 
http://www.microsoft.com/downloads/details.aspx?FamilyID=E25B7049-3E13-433B-B9D2-5E3C1132F206&displaylang=en

Note:  This is the full file version so you don't need original CD

4. Make sure file is executable and invoke it using wine command

     >wine Office2003SP3-KB923618-FullFile-ENU.exe
  
Actual results:

"The Update Cannot Be Applied"

Expected results:

"Update applied successfully"

Additional info:

This is a wine bug they have known about since version 1.1.5 and they haven't fixed it.  The release notes for 1.1.3 say they fixed this problem and then I found an email that says the problem came back in 1.1.5.  

For more info see here: http://bugs.winehq.org/show_bug.cgi?id=13590

I looked at all the release notes 1.1.5 to 1.1.18 and they don't mention it being fixed.

For more info see here: http://bugs.winehq.org/show_bug.cgi?id=13590

MAYBE THE FEDORA COMMUNITY COULD GET THE WINE COMMUNITY TO PRIORITIZE THIS SO IT CAN BE PUT IN FEDORA 11.  HOW CAN WINE COMMUNITY SPEND SO MUCH TIME FIXING GAMES, BUT THEY DON'T HAVE TIME FOR A BUG LIKE THIS.

 THIS LIMITATION IMPEDES MOVEMENT TO LINUX DESKTOP.  I HAVE TO TELL MY MGMT "Yes, you can run Office 03, but you can't load the 120 MB service pack so you are stuck running a 6 year old version of MSWord".

WHO HAS THE $$ TO UPGRADE TO OFFICE 07 ?
Comment 1 Michael Stahnke 2009-06-19 12:45:26 EDT
Re-assigning to F11 team.
Comment 2 Bug Zapper 2010-04-27 09:22:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 07:36:17 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.